scripts/symlink-tree.sh: print warnings/errors to stderr

Makes warnings/errors visible when building with V=w/V=1.

Signed-off-by: Jonas Gorski <jogo@openwrt.org>

SVN-Revision: 35718
v19.07.3_mercusys_ac12_duma
Jonas Gorski 11 years ago
parent 5449b24099
commit 2d8c5117c0

@ -24,12 +24,12 @@ if [ -f feeds.conf ] ; then
fi
if [ -z "$1" ]; then
echo "Syntax: $0 <destination>"
echo "Syntax: $0 <destination>" >&2
exit 1
fi
if [ -e "$1" ]; then
echo "Error: $1 already exists"
echo "Error: $1 already exists" >&2
exit 1
fi
@ -37,7 +37,7 @@ set -e # fail if any commands fails
mkdir -p dl "$1"
for file in $FILES; do
[ -e "$PWD/$file" ] || {
echo "ERROR: $file does not exist in the current tree"
echo "ERROR: $file does not exist in the current tree" >&2
exit 1
}
ln -s "$PWD/$file" "$1/"

Loading…
Cancel
Save